----------------------------------------------------------------------
--  menu.lua
----------------------------------------------------------------------
local composer = require( "composer" )
local widget = require( "widget" )

local scene = composer.newScene()

-- -----------------------------------------------------------------------------------
-- Code outside of the scene event functions below will only be executed ONCE unless
-- the scene is removed entirely (not recycled) via "composer.removeScene()"
-- -----------------------------------------------------------------------------------
local function handleButtonEvent( event )
    if ( "ended" == event.phase ) then
      --print( "Button was pressed and released" )
      if event.target.id == "game" then
        composer.gotoScene ( "parent" )
      end
    end
end

-- -----------------------------------------------------------------------------------
-- Scene event functions
-- -----------------------------------------------------------------------------------

-- create()
function scene:create( event )

	local sceneGroup = self.view
	-- Code here runs when the scene is first created but has not yet appeared on screen
  local interline = display.contentHeight/8
  local tabBtn = display.contentWidth/4
  local tabBtn2 = display.contentWidth/4*3
  
  local buttonGame = widget.newButton(
    {
        id = "game",
        label = "GAME",
        x = display.contentWidth/4,
        y = display.contentCenterY,
        width = display.contentWidth/2,
        height = display.contentHeight/6,
        fontSize = display.contentHeight/12,
        --defaultFile = "Immagini/buttonDefault.png",
        --overFile = "Immagini/buttonOver.png",
        onEvent = handleButtonEvent
    }
  )
  sceneGroup:insert(buttonGame)

end


-- show()
function scene:show( event )

	local sceneGroup = self.view
	local phase = event.phase

	if ( phase == "will" ) then
		-- Code here runs when the scene is still off screen (but is about to come on screen)

	elseif ( phase == "did" ) then
		-- Code here runs when the scene is entirely on screen

	end
end


-- hide()
function scene:hide( event )

	local sceneGroup = self.view
	local phase = event.phase

	if ( phase == "will" ) then
		-- Code here runs when the scene is on screen (but is about to go off screen)
    display:remove(sceneGroup)

	elseif ( phase == "did" ) then
		-- Code here runs immediately after the scene goes entirely off screen
    composer.removeScene("menu")
	end
end


-- destroy()
function scene:destroy( event )

	local sceneGroup = self.view
	-- Code here runs prior to the removal of scene's view

end


-- -----------------------------------------------------------------------------------
-- Scene event function listeners
-- -----------------------------------------------------------------------------------
scene:addEventListener( "create", scene )
scene:addEventListener( "show", scene )
scene:addEventListener( "hide", scene )
scene:addEventListener( "destroy", scene )
-- -----------------------------------------------------------------------------------

return scene